Subject: Re: bug#59028: [PATCH] Rewrite the `kill-buffer-delete-auto-save' tests

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Nov 2022 11:56:40 +0200

> From: Matt Armstrong <[email-masked]>
> Date: Fri, 04 Nov 2022 15:53:05 -0700
> 
> Rationale is in the commit description, but it boils down to these tests
> being annoying for me recently.  I like to M-x eval-buffer and run tests
> interactively, but these tests seemed to work nicely only in batch mode.
> In interactive mode they would both fail and issue annoying prompts
> "save this modified buffer?" prompts.  In fixing them, I figured out
> what they were trying to test and attempted to make that more robust and
> clear.

Thanks, I installed this.

However, the tests are still quite talkative, and emit a lot of stuff
for which I see no purpose.  Can we shut up those "BEGIN
overlay-modification-hooks test-case ((insert-at . 1))" messages and
also the "Auto-saving...", "Auto-saving...done"?  Or do they serve
some useful purpose?